Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043176
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2020-02-10 19:392020-02-21 10:08
ReporterlbressanView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisionb14f06e7e61b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043176: The TaxBaseAmt field is not reported

DescriptionWhen copying lines for a purchase order with base tax ('TBA', 'TBATAX') and having value in the TaxBaseAmt (Alternate Taxable Amount) field, this value is not copied to the new line.
Steps To Reproduce1. Create the header of a Purchase Order
2. Press the "Copy from Orders" button, select an order which has value in the TaxBaseAmt field
3. The line created for the order from the process is created without the value of the TaxBaseAmt field
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0117842)
AtulOpenbravo (developer)
2020-02-17 08:14
edited on: 2020-02-17 08:22

Test Plan (Purchase Flow)

- Create a Tax
  
  Organization: F&B US, Inc.
  Name: Test 43176 Tax
  Tax Rate: 10
  Sale/Purchase Type: Both
  Document Tax Amount Calculation: Document based amount by rate
  Base Amount: Alternate Tax Base Amount or Alternate Tax Base Amount + Tax Amount
  In More Information Field Group
  Default: Yes
  Line No: 5
  Business Partner Tax Category: Exempt


- Create a Purchase Order in F&B US, Inc. organization, Business Partner: Be Soft Drinker, Inc.
- Add line, select product: Cherry Cola, Order Quantity : 100, Net Unit Price: 0.55
- Realize that by default Tax is set as "Test 43176 Tax" and Alternate Taxable Amount field is visible and set as 55.00
- Book the Order.
- Create a Purchase Order in F&B US, Inc. organization, Business Partner: Be Soft Drinker, Inc.
- Using Copy From Order process, select previous booked order in the P&E window and Press Done.
- Check the new created line, Tax set is "Test 43176 Tax" and Alternate Taxable Amount field is visible and set as 55.00, This is correct.

(0117843)
AtulOpenbravo (developer)
2020-02-17 08:21
edited on: 2020-02-17 08:21

Test Plan (Sales Flow)

- Create a Tax
  
  Organization: F&B US, Inc.
  Name: Test NY 43176 Tax
  Tax Rate: 10
  Sale/Purchase Type: Both
  Document Tax Amount Calculation: Document based amount by rate
  Base Amount: Alternate Tax Base Amount or Alternate Tax Base Amount + Tax Amount
  Country = Destination Country = United States
  Region = NY
  In More Information Field Group
  Line No: 5
  Default: Yes



- Create a Sales Order in F&B US, Inc. organization, Business Partner: Moon Light Restaurants, Co.
- Add line, select product: Cherry Cola, Order Quantity : 100, Net Unit Price: 0.83
- Realize that by default Tax is set as "Test NY 43176 Tax" and Alternate Taxable Amount field is visible and set as 83.00
- Book the Order.
- Create a Sales Order in F&B US, Inc. organization, Business Partner: Moon Light Restaurants, Co.
- Using Copy From Order process, select previous booked order in the P&E window and Press Done.
- Check the new created line, Tax set is "Test NY 43176 Tax" and Alternate Taxable Amount field is visible in More Information Field Group and set as 83.00, This is correct.

(0118002)
hgbot (developer)
2020-02-21 10:07

Repository: erp/devel/pi
Changeset: b14f06e7e61bddcbcc8e956d5128b85fc61c34db
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Feb 17 12:23:22 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/b14f06e7e61bddcbcc8e956d5128b85fc61c34db [^]

Fixes BUG-0043176: The TaxBaseAmt field is not reported

**When using Copy From Orders process to copy orderline
set TaxableAmount from the old orderline to new orderline

---
M src/org/openbravo/common/actionhandler/copyfromorderprocess/UpdateTax.java
---
(0118003)
hgbot (developer)
2020-02-21 10:07

Repository: erp/devel/pi
Changeset: 4feec461f08919430a353b95cb64d7ff37f76491
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Feb 18 08:58:40 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4feec461f08919430a353b95cb64d7ff37f76491 [^]

Related to ISSUE-0043176. Code Review changes:
Only set alternative Tax Amount when the new Tax and the old Tax
has the configuration to work with this field.

---
M src/org/openbravo/common/actionhandler/copyfromorderprocess/UpdateTax.java
---
(0118005)
dmiguelez (developer)
2020-02-21 10:08

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-02-10 19:39 lbressan New Issue
2020-02-10 19:39 lbressan Assigned To => Triage Finance
2020-02-10 19:39 lbressan Modules => Core
2020-02-10 19:39 lbressan Triggers an Emergency Pack => No
2020-02-13 14:29 lbressan Priority normal => high
2020-02-14 08:27 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2020-02-17 08:14 AtulOpenbravo Status new => scheduled
2020-02-17 08:14 AtulOpenbravo Note Added: 0117842
2020-02-17 08:21 AtulOpenbravo Note Added: 0117843
2020-02-17 08:21 AtulOpenbravo Note Edited: 0117843 View Revisions
2020-02-17 08:22 AtulOpenbravo Note Edited: 0117842 View Revisions
2020-02-21 10:07 hgbot Checkin
2020-02-21 10:07 hgbot Note Added: 0118002
2020-02-21 10:07 hgbot Status scheduled => resolved
2020-02-21 10:07 hgbot Resolution open => fixed
2020-02-21 10:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b14f06e7e61bddcbcc8e956d5128b85fc61c34db [^]
2020-02-21 10:07 hgbot Checkin
2020-02-21 10:07 hgbot Note Added: 0118003
2020-02-21 10:08 dmiguelez Review Assigned To => dmiguelez
2020-02-21 10:08 dmiguelez Note Added: 0118005
2020-02-21 10:08 dmiguelez Status resolved => closed
2020-02-21 10:08 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker